Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teibvh-xmlw.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teibvh-xmlw.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teibvh-xmlw.xsl	(revision 2397)
@@ -449,278 +480,314 @@
                     </xsl:otherwise>
                 </xsl:choose>
             </xsl:attribute>
-          <!-- domaine -->
-            <xsl:attribute name="domaine">
+			<!-- domaine -->
+			<xsl:attribute name="domaine">
                <xsl:text>Littéraire</xsl:text>
             </xsl:attribute>
-            <!-- genre -->
-            <xsl:attribute name="genre">
-            <xsl:text>|</xsl:text><xsl:value-of select="translate(@type, '_', ' ')"/><xsl:text>|</xsl:text><xsl:value-of select="translate(@subtype, '_', ' ')"/><xsl:text>|</xsl:text>
-            </xsl:attribute> 
-          <!-- nb mots -->
-          <xsl:attribute name="mots"/>
-            <!-- nb pages -->
-            <xsl:attribute name="pages">
-            <xsl:value-of select="count(//tei:pb)"/>
+			<!-- genre -->
+			<xsl:attribute name="genre">
+            <xsl:text>|</xsl:text><xsl:value-of
+				select="translate(@type, '_', ' ')" /><xsl:text>|</xsl:text><xsl:value-of
+				select="translate(@subtype, '_', ' ')" /><xsl:text>|</xsl:text>
             </xsl:attribute>
-          <!-- texte intégral -->
-          <xsl:attribute name="integral">
+			<!-- nb mots -->
+			<xsl:attribute name="mots" />
+			<!-- nb pages -->
+			<xsl:attribute name="pages">
+            <xsl:value-of select="count(//tei:pb)" />
+            </xsl:attribute>
+			<!-- texte intégral -->
+			<xsl:attribute name="integral">
             <xsl:text>Oui</xsl:text>
           </xsl:attribute>
-          <!-- editeur scientifique -->
-          <xsl:attribute name="edsci">
+			<!-- editeur scientifique -->
+			<xsl:attribute name="edsci">
             <xsl:text>Marie-Luce Demonet</xsl:text>
           </xsl:attribute>
-          <!-- maison d'édition -->
-          <xsl:attribute name="edcomm">
-            <xsl:text>Bibliothèques Virtuelles Humanistes (</xsl:text><xsl:value-of select="//tei:date[@type='mise_en_ligne']/@when"/><xsl:text>)</xsl:text>
+			<!-- maison d'édition -->
+			<xsl:attribute name="edcomm">
+            <xsl:text>Bibliothèques Virtuelles Humanistes (</xsl:text><xsl:value-of
+				select="//tei:date[@type='mise_en_ligne']/@when" /><xsl:text>)</xsl:text>
                      </xsl:attribute>
-            <!-- date d'édition -->
-            <xsl:attribute name="eddate">
-               <xsl:value-of select="//tei:monogr//tei:imprint/tei:date"/>
+			<!-- date d'édition -->
+			<xsl:attribute name="eddate">
+               <xsl:value-of
+				select="//tei:monogr//tei:imprint/tei:date" />
             </xsl:attribute>
-            <!-- origine du texte -->
-            <xsl:choose>
-              <xsl:when test="//tei:msDesc/tei:msIdentifier/tei:repository[text()]">
-            <xsl:attribute name="origine">
+			<!-- origine du texte -->
+			<xsl:choose>
+				<xsl:when
+					test="//tei:msDesc/tei:msIdentifier/tei:repository[text()]">
+					<xsl:attribute name="origine">
               <xsl:choose>
-              <xsl:when test="//tei:msDesc/tei:msIdentifier/tei:institution">
-               <xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:settlement"/>,<xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:institution"/>,<xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:repository"/>
+              <xsl:when
+						test="//tei:msDesc/tei:msIdentifier/tei:institution">
+               <xsl:value-of
+						select="//tei:msDesc/tei:msIdentifier/tei:settlement" />,<xsl:value-of
+						select="//tei:msDesc/tei:msIdentifier/tei:institution" />,<xsl:value-of
+						select="//tei:msDesc/tei:msIdentifier/tei:repository" />
               </xsl:when>
                 <xsl:otherwise>
-                  <xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:settlement"/>,<xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:repository"/>
+                  <xsl:value-of
+						select="//tei:msDesc/tei:msIdentifier/tei:settlement" />,<xsl:value-of
+						select="//tei:msDesc/tei:msIdentifier/tei:repository" />
                 </xsl:otherwise>
               </xsl:choose>              
             </xsl:attribute>
-              </xsl:when>
-              <xsl:otherwise>
-                <xsl:attribute name="origine">
-                  <xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:settlement"/>,<xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:institution"/>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:attribute name="origine">
+                  <xsl:value-of
+						select="//tei:msDesc/tei:msIdentifier/tei:settlement" />,<xsl:value-of
+						select="//tei:msDesc/tei:msIdentifier/tei:institution" />
                 </xsl:attribute>
-              </xsl:otherwise>
-            </xsl:choose>      
-            
-            <!-- copyright -->
-            <xsl:attribute name="statut">
+				</xsl:otherwise>
+			</xsl:choose>
+
+			<!-- copyright -->
+			<xsl:attribute name="statut">
                   <xsl:text>Creative Commons BY-NC-ND 2.0</xsl:text>
-            </xsl:attribute> 
-            <!-- etat -->            
-            <xsl:attribute name="etat">              
+            </xsl:attribute>
+			<!-- etat -->
+			<xsl:attribute name="etat">              
                 <xsl:text>TEI P5</xsl:text>           
-            </xsl:attribute>  
-            <!-- caractères modernisés -->
-          <xsl:attribute name="carmod">
+            </xsl:attribute>
+			<!-- caractères modernisés -->
+			<xsl:attribute name="carmod">
             <xsl:text>Oui</xsl:text>
           </xsl:attribute>
-          <!-- orthographe modernisée -->
-          <xsl:attribute name="orthomod">
+			<!-- orthographe modernisée -->
+			<xsl:attribute name="orthomod">
             <xsl:text>Non</xsl:text>
           </xsl:attribute>
-            <!-- lieu de publication -->
-          <xsl:if test="//tei:monogr//tei:pubPlace">
-            <xsl:attribute name="lieuPublication">
-                <xsl:value-of select="//tei:monogr//tei:pubPlace"/>
+			<!-- lieu de publication -->
+			<xsl:if test="//tei:monogr//tei:pubPlace">
+				<xsl:attribute name="lieuPublication">
+                <xsl:value-of
+					select="//tei:monogr//tei:pubPlace" />
             </xsl:attribute>
-          </xsl:if>          
-            <!-- imprimeur -->
-          <xsl:if test="//tei:monogr//tei:publisher[contains(@role,'imprimeur')]/tei:persName">
-            <xsl:attribute name="imprimeur">  
-                <xsl:for-each select="//tei:monogr//tei:publisher[contains(@role,'imprimeur')][not(position()=last())]/tei:persName">|<xsl:call-template name="persname"/></xsl:for-each>
-                <xsl:for-each select="//tei:monogr//tei:publisher[contains(@role,'imprimeur')][last()]/tei:persName">|<xsl:call-template name="persname"/>|</xsl:for-each>
+			</xsl:if>
+			<!-- imprimeur -->
+			<xsl:if
+				test="//tei:monogr//tei:publisher[contains(@role,'imprimeur')]/tei:persName">
+				<xsl:attribute name="imprimeur">  
+                <xsl:for-each
+					select="//tei:monogr//tei:publisher[contains(@role,'imprimeur')][not(position()=last())]/tei:persName">|<xsl:call-template name="persname" /></xsl:for-each>
+                <xsl:for-each
+					select="//tei:monogr//tei:publisher[contains(@role,'imprimeur')][last()]/tei:persName">|<xsl:call-template name="persname" />|</xsl:for-each>
             </xsl:attribute>
-          </xsl:if>
-            <!-- libraire -->
-          <xsl:if test="//tei:monogr//tei:publisher[contains(@role,'libraire')]/tei:persName">
-            <xsl:attribute name="libraire">
-                <xsl:for-each select="//tei:monogr//tei:publisher[contains(@role,'libraire')][not(position()=last())]/tei:persName">|<xsl:call-template name="persname"/></xsl:for-each>
-                <xsl:for-each select="//tei:monogr//tei:publisher[contains(@role,'libraire')][last()]/tei:persName">|<xsl:call-template name="persname"/>|</xsl:for-each>
+			</xsl:if>
+			<!-- libraire -->
+			<xsl:if
+				test="//tei:monogr//tei:publisher[contains(@role,'libraire')]/tei:persName">
+				<xsl:attribute name="libraire">
+                <xsl:for-each
+					select="//tei:monogr//tei:publisher[contains(@role,'libraire')][not(position()=last())]/tei:persName">|<xsl:call-template name="persname" /></xsl:for-each>
+                <xsl:for-each
+					select="//tei:monogr//tei:publisher[contains(@role,'libraire')][last()]/tei:persName">|<xsl:call-template name="persname" />|</xsl:for-each>
             </xsl:attribute>
-          </xsl:if>             
-            <!-- période du texte -->
-            <xsl:attribute name="siecle">
+			</xsl:if>
+			<!-- période du texte -->
+			<xsl:attribute name="siecle">
                 <xsl:choose>
-                    <xsl:when test="//tei:sourceDesc//tei:biblStruct//tei:date[number(.)&gt;=1301 and number(.)&lt;=1400]">
+                    <xsl:when
+				test="//tei:sourceDesc//tei:biblStruct//tei:date[number(.)&gt;=1301 and number(.)&lt;=1400]">
                         <xsl:text>XIVème siècle</xsl:text>
                     </xsl:when>
-                    <xsl:when test="//tei:sourceDesc//tei:biblStruct//tei:date[number(.)&gt;=1401 and number(.)&lt;=1500]">
+                    <xsl:when
+				test="//tei:sourceDesc//tei:biblStruct//tei:date[number(.)&gt;=1401 and number(.)&lt;=1500]">
                         <xsl:text>XVème siècle</xsl:text>
                     </xsl:when>
-                    <xsl:when test="//tei:sourceDesc//tei:biblStruct//tei:date[number(.)&gt;=1501 and number(.)&lt;=1600]">
+                    <xsl:when
+				test="//tei:sourceDesc//tei:biblStruct//tei:date[number(.)&gt;=1501 and number(.)&lt;=1600]">
                         <xsl:text>XVIème siècle</xsl:text>
                     </xsl:when>
-                    <xsl:when test="//tei:sourceDesc//tei:biblStruct//tei:date[number(.)&gt;=1601 and number(.)&lt;=1700]">
+                    <xsl:when
+				test="//tei:sourceDesc//tei:biblStruct//tei:date[number(.)&gt;=1601 and number(.)&lt;=1700]">
                         <xsl:text>XVIIème siècle</xsl:text>
                     </xsl:when>
                 </xsl:choose>
             </xsl:attribute>
-            <!-- lieu de conservation -->
-          <xsl:if test="//tei:msDesc/tei:msIdentifier">
-            <xsl:choose>
-              <xsl:when test="//tei:msDesc/tei:msIdentifier/tei:repository[text()]">
-            <xsl:attribute name="lieuConservation">
-               <xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:institution"/>&#160;<xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:repository"/>
+			<!-- lieu de conservation -->
+			<xsl:if test="//tei:msDesc/tei:msIdentifier">
+				<xsl:choose>
+					<xsl:when
+						test="//tei:msDesc/tei:msIdentifier/tei:repository[text()]">
+						<xsl:attribute name="lieuConservation">
+               <xsl:value-of
+							select="//tei:msDesc/tei:msIdentifier/tei:institution" />&#160;<xsl:value-of
+							select="//tei:msDesc/tei:msIdentifier/tei:repository" />
             </xsl:attribute>
-              </xsl:when>
-              <xsl:otherwise>
-                <xsl:attribute name="lieuConservation">
-                  <xsl:value-of select="//tei:msDesc/tei:msIdentifier/tei:institution"/>
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:attribute name="lieuConservation">
+                  <xsl:value-of
+							select="//tei:msDesc/tei:msIdentifier/tei:institution" />
                 </xsl:attribute>
-              </xsl:otherwise>
-            </xsl:choose>            
-          </xsl:if>          
-            <!-- format de l'ouvrage -->
-          <xsl:if test="//tei:dimensions/tei:dim[@type='format']">
-            <xsl:attribute name="format">
-               <xsl:value-of select="//tei:dimensions/tei:dim[@type='format']"/>
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:if>
+			<!-- format de l'ouvrage -->
+			<xsl:if test="//tei:dimensions/tei:dim[@type='format']">
+				<xsl:attribute name="format">
+               <xsl:value-of
+					select="//tei:dimensions/tei:dim[@type='format']" />
             </xsl:attribute>
-          </xsl:if>          
-            <!-- langues présentes dans le livre, par ordre d'importance -->
-            <xsl:attribute name="langue">
-              <xsl:for-each select="//tei:langUsage/tei:language[not(position()=last())]"><xsl:value-of select="."/>&#160;</xsl:for-each><xsl:value-of select="//tei:langUsage/tei:language[last()]"/>               
-            </xsl:attribute>             
-        <!-- copyright -->
-            <xsl:attribute name="copyright">
+			</xsl:if>
+			<!-- langues présentes dans le livre, par ordre d'importance -->
+			<xsl:attribute name="langue">
+              <xsl:for-each
+				select="//tei:langUsage/tei:language[not(position()=last())]"><xsl:value-of select="." />&#160;</xsl:for-each><xsl:value-of
+				select="//tei:langUsage/tei:language[last()]" />               
+            </xsl:attribute>
+			<!-- copyright -->
+			<xsl:attribute name="copyright">
                   <xsl:text>Bibliothèques Virtuelles Humanistes, CESR, Creative Commons BY-NC-ND 2.0</xsl:text>
-            </xsl:attribute>          
-                <xsl:apply-templates/>
-            </text>        
-  </xsl:template>
-  
-  <xsl:template name="persname">
-      <xsl:choose>
-         <xsl:when test="tei:surname"><xsl:value-of select="tei:forename"/>&#160;<xsl:value-of select="tei:surname"/></xsl:when>
-         <xsl:otherwise><xsl:value-of select="."/></xsl:otherwise>
-      </xsl:choose>
-   </xsl:template>
-	
+            </xsl:attribute>
+			<xsl:apply-templates />
+		</text>
+	</xsl:template>
+
+	<xsl:template name="persname">
+		<xsl:choose>
+			<xsl:when test="tei:surname">
+				<xsl:value-of select="tei:forename" />
+				&#160;
+				<xsl:value-of select="tei:surname" />
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of select="." />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+
 	<xsl:template match="tei:app">
 		<xsl:choose>
 			<xsl:when test="tei:lem">
-				<xsl:apply-templates select="tei:lem"/>
+				<xsl:apply-templates select="tei:lem" />
 				<note xmlns="http://www.tei-c.org/ns/1.0" type="app">
 					<xsl:for-each select="tei:rdg">
-						<xsl:value-of select="concat(@wit,' : ')"/><xsl:apply-templates/>
+						<xsl:value-of select="concat(@wit,' : ')" />
+						<xsl:apply-templates />
 						<xsl:choose>
-							<xsl:when test="following-sibling::tei:rdg">&#160;; </xsl:when>
-							<xsl:otherwise>. </xsl:otherwise>
+							<xsl:when test="following-sibling::tei:rdg">
+								&#160;;
+							</xsl:when>
+							<xsl:otherwise>
+								.
+							</xsl:otherwise>
 						</xsl:choose>
 					</xsl:for-each>
 				</note>
 			</xsl:when>
 			<xsl:otherwise>
-				<xsl:apply-templates select="tei:rdg[1]"/>
+				<xsl:apply-templates select="tei:rdg[1]" />
 				<note xmlns="http://www.tei-c.org/ns/1.0" type="app">
 					<xsl:for-each select="tei:rdg[not(position()=1)]">
-						<xsl:value-of select="concat(@wit,' : ')"/><xsl:apply-templates/>
+						<xsl:value-of select="concat(@wit,' : ')" />
+						<xsl:apply-templates />
 						<xsl:choose>
-							<xsl:when test="following-sibling::tei:rdg">&#160;; </xsl:when>
-							<xsl:otherwise>. </xsl:otherwise>
+							<xsl:when test="following-sibling::tei:rdg">
+								&#160;;
+							</xsl:when>
+							<xsl:otherwise>
+								.
+							</xsl:otherwise>
 						</xsl:choose>
 					</xsl:for-each>
 				</note>
 			</xsl:otherwise>
 		</xsl:choose>
 	</xsl:template>
-   
-  <xsl:template match="//tei:choice|//tei:corr|//tei:expan|//tei:reg|//tei:supplied|//tei:subst|//tei:add|//tei:del">
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <xsl:call-template name="detectBrokenWord"/>
-        <xsl:apply-templates/>
-     </xsl:copy>
-  </xsl:template>
-  
-  <xsl:template name="detectBrokenWord">
-    <xsl:if test="not(matches(.,'^\s*[.,:;!?\])]'))"><xsl:choose>
-      <xsl:when test="following-sibling::text()[1][matches(.,'^\w')] and preceding-sibling::text()[1][matches(.,'\w$')]">
-        <xsl:attribute name="txm:wordPart">middle</xsl:attribute>
-      </xsl:when>
-      <xsl:when test="following-sibling::text()[1][matches(.,'^(’|'')?\w')]">
-        <xsl:attribute name="txm:wordPart">start</xsl:attribute>
-      </xsl:when>
-      <xsl:when test="preceding-sibling::text()[1][matches(.,'\w$')]">
-        <xsl:attribute name="txm:wordPart">end</xsl:attribute>
-      </xsl:when>
-      <xsl:otherwise/>
-    </xsl:choose></xsl:if>
-  </xsl:template>
-   
-  <!--<xsl:variable name="filename">
-    <xsl:analyze-string select="document-uri(.)" regex="^.*/([^/]+)\.xml$">
-      <xsl:matching-substring>
-        <xsl:value-of select="regex-group(1)"></xsl:value-of>
-      </xsl:matching-substring>
-    </xsl:analyze-string></xsl:variable>
-  
-  
-  <xsl:variable name="metadata" select="document(concat($filedir,'/meta/metadata.csv.xml'))//text[@id=$filename]" as="node()"/>
-  
-  <xsl:template match="tei:text">
-    <xsl:choose>
-      <xsl:when test="matches($metadata,'.+')">
-        <text xmlns="http://www.tei-c.org/ns/1.0">
-          <xsl:for-each select="$metadata/entry">
-            <xsl:attribute name="{@id}"><xsl:value-of select="@value"/></xsl:attribute>
-          </xsl:for-each>
-          <xsl:apply-templates/>
-        </text>
-      </xsl:when>
-      <xsl:otherwise>        
-        <xsl:copy>
-          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-        </xsl:copy>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>    -->
-  
-<xsl:variable name="nommage">
-	<collection>
-		<name id="B372615206_3436_tei">1586_GarzoniThe</name>
-		<name id="B372616101_3537_tei">1546_RabelaisTL</name>
-		<name id="B410186201_LI139_tei">1554_CalenzioRo</name>
-		<name id="B693836101_A489170_tei">1561_DPeriersNR</name>
-		<name id="B751131015_PYC612_tei">1545_HoraceAP</name>
-		<name id="B751131015_X1888_tei">1549_DuBellayDef</name>
-		<name id="B751131015_YE11562_tei">1555_LabeOeuv</name>
-		<name id="B751131015_YE1735_tei">1550_DuBellayOl</name>
-		<name id="XUVA_Gordon1543_B53_tei">1543_MarotBlaso</name>
-		<name id="XUVA_Gordon1578_L47_tei">1578_LeryBresil</name>
-		<name id="B372615206_4040_tei">1566_GelliDisc</name>
-		<name id="B751131015_Z1918_tei">1533_ToryMouche</name>
-		<name id="B861946101_DP1139_tei">1556_VinetDisc</name>
-		<name id="B372615206_1263_tei">1538_Castiglion</name>
-		<name id="B410186201_I65_tei">1529_ToryChampf</name>
-		<name id="B693836101_355925_tei">1547_SceveSauls</name>
-		<name id="B751131011_PYE868_tei">1563_RonsardRep</name>
-		<name id="B751131011_Y2_251_tei">1536_FloresFlam</name>
-		<name id="XUVA_Gordon1563_R65b_2_tei">1563_RonsardMis</name>
-		<name id="XUVA_Gordon1563_R66_tei">1563_RonsardIns</name>
-		<name id="XUVA_Gordon1563_R67b_tei">1563_RonsardRem</name>
-		<name id="XUVA_Gordon1563_R656_tei">1563_RonsardEle</name>
-		<name id="XUVA_Gordon1543_K43_tei">1543_CorroCebes</name>
-		<name id="B751131015_YE1457_1460_tei">1538_MarotAdole</name>
-		<name id="B759999999_Y2_2164_tei">1552_RabelaisQL</name>
-		<name id="B360446201_THIA63_1_tei">1576_DeschpsHT</name>
-		<name id="B372615206_4023_tei">1600_BeroaldRich</name>
-		<name id="B759999999_Y2_2162_tei">1552_RabelaisTL</name>
-		<name id="B693836101_346632_tei">1610_BeroaldVoyg</name>
-		<name id="B751131011_YE4769_tei">1550_RonsardQuat</name>
-		<name id="B360446201_B343_2_tei">1542_RabelaisGrgt</name>
-		<name id="B751131010_FR3370_suppl_tei">1552_RabelaisBDcl</name>
-		<name id="B751131011_YE645_tei">1550_RonsardPaix</name>
-		<name id="B372616101_2950_tei">1549_DuBellayOl</name>
-		<name id="XUVA_Gordon1563_R656b_tei">1563_RonsardEle2</name>
-		<name id="B751041006_FR_1513_tei">1548_RabelaisQL</name>
-		<name id="B360446201_B343_1_tei">1542_RabelaisPtgl</name>
-		<name id="B751131011_Y22168_tei">1564_RabelaisCL</name>
-		<name id="B751131011_Y22789_tei">1616_BeroaldMoy</name>
-		<name id="B452346101_D1497_3_tei">1572_MansSavoye</name>
-		<name id="B452346101_H6513_tei">1567_BuchananJephte</name>
-		<name id="M0275_01_tei">1580_MontaigneEssais</name>
-		<name id="Essais_88_tei">1588_MontaigneEssais</name>
-	</collection>	
-</xsl:variable>
 
+	<xsl:template
+		match="//tei:choice|//tei:corr|//tei:expan|//tei:reg|//tei:supplied|//tei:subst|//tei:add|//tei:del">
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:call-template name="detectBrokenWord" />
+			<xsl:apply-templates />
+		</xsl:copy>
+	</xsl:template>
 
+	<xsl:template name="detectBrokenWord">
+		<xsl:if test="not(matches(.,'^\s*[.,:;!?\])]'))">
+			<xsl:choose>
+				<xsl:when
+					test="following-sibling::text()[1][matches(.,'^\w')] and preceding-sibling::text()[1][matches(.,'\w$')]">
+					<xsl:attribute name="txm:wordPart">middle</xsl:attribute>
+				</xsl:when>
+				<xsl:when
+					test="following-sibling::text()[1][matches(.,'^(’|'')?\w')]">
+					<xsl:attribute name="txm:wordPart">start</xsl:attribute>
+				</xsl:when>
+				<xsl:when
+					test="preceding-sibling::text()[1][matches(.,'\w$')]">
+					<xsl:attribute name="txm:wordPart">end</xsl:attribute>
+				</xsl:when>
+				<xsl:otherwise />
+			</xsl:choose>
+		</xsl:if>
+	</xsl:template>
 
+	<!--<xsl:variable name="filename"> <xsl:analyze-string select="document-uri(.)" 
+		regex="^.*/([^/]+)\.xml$"> <xsl:matching-substring> <xsl:value-of select="regex-group(1)"></xsl:value-of> 
+		</xsl:matching-substring> </xsl:analyze-string></xsl:variable> <xsl:variable 
+		name="metadata" select="document(concat($filedir,'/meta/metadata.csv.xml'))//text[@id=$filename]" 
+		as="node()"/> <xsl:template match="tei:text"> <xsl:choose> <xsl:when test="matches($metadata,'.+')"> 
+		<text xmlns="http://www.tei-c.org/ns/1.0"> <xsl:for-each select="$metadata/entry"> 
+		<xsl:attribute name="{@id}"><xsl:value-of select="@value"/></xsl:attribute> 
+		</xsl:for-each> <xsl:apply-templates/> </text> </xsl:when> <xsl:otherwise> 
+		<xsl:copy> <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/> 
+		</xsl:copy> </xsl:otherwise> </xsl:choose> </xsl:template> -->
+
+	<xsl:variable name="nommage">
+		<collection>
+			<name id="B372615206_3436_tei">1586_GarzoniThe</name>
+			<name id="B372616101_3537_tei">1546_RabelaisTL</name>
+			<name id="B410186201_LI139_tei">1554_CalenzioRo</name>
+			<name id="B693836101_A489170_tei">1561_DPeriersNR</name>
+			<name id="B751131015_PYC612_tei">1545_HoraceAP</name>
+			<name id="B751131015_X1888_tei">1549_DuBellayDef</name>
+			<name id="B751131015_YE11562_tei">1555_LabeOeuv</name>
+			<name id="B751131015_YE1735_tei">1550_DuBellayOl</name>
+			<name id="XUVA_Gordon1543_B53_tei">1543_MarotBlaso</name>
+			<name id="XUVA_Gordon1578_L47_tei">1578_LeryBresil</name>
+			<name id="B372615206_4040_tei">1566_GelliDisc</name>
+			<name id="B751131015_Z1918_tei">1533_ToryMouche</name>
+			<name id="B861946101_DP1139_tei">1556_VinetDisc</name>
+			<name id="B372615206_1263_tei">1538_Castiglion</name>
+			<name id="B410186201_I65_tei">1529_ToryChampf</name>
+			<name id="B693836101_355925_tei">1547_SceveSauls</name>
+			<name id="B751131011_PYE868_tei">1563_RonsardRep</name>
+			<name id="B751131011_Y2_251_tei">1536_FloresFlam</name>
+			<name id="XUVA_Gordon1563_R65b_2_tei">1563_RonsardMis</name>
+			<name id="XUVA_Gordon1563_R66_tei">1563_RonsardIns</name>
+			<name id="XUVA_Gordon1563_R67b_tei">1563_RonsardRem</name>
+			<name id="XUVA_Gordon1563_R656_tei">1563_RonsardEle</name>
+			<name id="XUVA_Gordon1543_K43_tei">1543_CorroCebes</name>
+			<name id="B751131015_YE1457_1460_tei">1538_MarotAdole</name>
+			<name id="B759999999_Y2_2164_tei">1552_RabelaisQL</name>
+			<name id="B360446201_THIA63_1_tei">1576_DeschpsHT</name>
+			<name id="B372615206_4023_tei">1600_BeroaldRich</name>
+			<name id="B759999999_Y2_2162_tei">1552_RabelaisTL</name>
+			<name id="B693836101_346632_tei">1610_BeroaldVoyg</name>
+			<name id="B751131011_YE4769_tei">1550_RonsardQuat</name>
+			<name id="B360446201_B343_2_tei">1542_RabelaisGrgt</name>
+			<name id="B751131010_FR3370_suppl_tei">1552_RabelaisBDcl</name>
+			<name id="B751131011_YE645_tei">1550_RonsardPaix</name>
+			<name id="B372616101_2950_tei">1549_DuBellayOl</name>
+			<name id="XUVA_Gordon1563_R656b_tei">1563_RonsardEle2</name>
+			<name id="B751041006_FR_1513_tei">1548_RabelaisQL</name>
+			<name id="B360446201_B343_1_tei">1542_RabelaisPtgl</name>
+			<name id="B751131011_Y22168_tei">1564_RabelaisCL</name>
+			<name id="B751131011_Y22789_tei">1616_BeroaldMoy</name>
+			<name id="B452346101_D1497_3_tei">1572_MansSavoye</name>
+			<name id="B452346101_H6513_tei">1567_BuchananJephte</name>
+			<name id="M0275_01_tei">1580_MontaigneEssais</name>
+			<name id="Essais_88_tei">1588_MontaigneEssais</name>
+		</collection>
+	</xsl:variable>
+
+
+
 </xsl:stylesheet>
\ No newline at end of file
